Bug 1279499 - unregistration of ceph secrets isn't being executed upon host deactivation
unregistration of ceph secrets isn't being executed upon host deactivation
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Daniel Erez
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 10:14 EST by Daniel Erez
Modified: 2016-05-25 21:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:20:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
rule-engine: planning_ack?
amureini: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48304 master MERGED core: unregister libvirt secrets on host disconnect Never
oVirt gerrit 48445 ovirt-engine-3.6 MERGED core: unregister libvirt secrets on host disconnect Never

  None (edit)
Description Daniel Erez 2015-11-09 10:14:08 EST
Description of problem:
In a DC with a Cinder storage domain attached, ceph secrets should be unregistered from libvirt automatically upon host deactivation. This is required so that libvirt would hold only relevant secrets. Hence, this functionality should be restored.

How reproducible:
100%

Steps to Reproduce:
1. In a DC with an attached Cinder storage domain.
2. Activate a host.
3.

Actual results:
Secrets unregistration isn't being invoked.

Expected results:
Required ceph secrets should be unregistered to libvirt automatically.

Additional info:
Similar issue with secrets registration on bug 1276915.
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-09 10:17:13 EST
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 2 Ori Gofen 2015-12-16 02:54:40 EST
Verified on rhevm-3.6.1.3-0.1.el6.noarch.
based on engine log it is clear that RegisterLibvirtSecretsVDSCommand does disconnects the secret upon host deactivation and connects upon activation
Comment 3 Sandro Bonazzola 2015-12-16 07:20:38 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.